<bugID>719888<Summary>Inline autocomplete: Backspace highlights the last character instead of deleting, when first search result is highlighted</Summary><Description>User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:12.0a1) Gecko/20120120 Firefox/12.0a1
Build ID: 20120120031125

Steps to reproduce:

1. Type any letter in the URL bar.
2. Press down once to highlight the first result. The caret is now at the end of the URL.
3. Press backspace.


Actual results:

The last character of the URL is highlighted instead of deleted. I have to press backspace the second time to start deleting characters.
If I set browser.urlbar.autoFill to false the problem is gone.</Description></bugID>